Subject: Re: Game console up to $200

From: chris <[email-masked]>
Date: Sun Apr 20 14:38:01 2003

>A Magnavox Odyssey from 1972 is up to $200 with a few hours left to bid. I
>would like to have one but not at these prices.

I have one of these, but not complete. Its missing most of the little 
stuff like chips, cards, cash. Some overlays are missing, and I am pretty 
sure the rifle is long since destroyed.

I'm also not positive if the unit itself works or not. Its one of the 
things on my list to install in my "retro" basement when I finally find a 
house I can afford.

-chris
<http://www.mythtech.net>